﻿using System;

using Xamarin.Forms;
using System.Collections.Generic;
using Syncfusion.SfChart.XForms;
using System.Diagnostics;
using System.Collections.ObjectModel;

namespace SimpleSample
{
	public class SampleChart : ContentPage
	{

		public SampleChart ()
		{
			StackLayout layout = new StackLayout(){Padding = new Thickness(5,15,5,5)};						
			ViewModel dataModel = new ViewModel();

			var chart = new SfChart ();
			chart.PrimaryAxis = new DateTimeAxis(){PlotOffset =10,
				LabelStyle = new ChartAxisLabelStyle(){LabelFormat = "dd EEE"},
			};
			chart.SecondaryAxis = new NumericalAxis (){ ShowMajorGridLines = false,
				AxisLineStyle = new ChartLineStyle(){ StrokeWidth = 0},
				MajorTickStyle = new ChartAxisTickStyle(){TickSize = 0},
			};

			AreaSeries area = new AreaSeries ();
			area.EnableTooltip = true;
			area.XBindingPath = "Date";
			area.YBindingPath = "Value";   
			area.Color = Color.FromRgb (210, 125, 79);
			area.DataMarker = new ChartDataMarker (){ ShowMarker = true, MarkerHeight =15, MarkerWidth=15,
				MarkerColor = Color.White, MarkerBorderColor = Color.FromRgb (210, 125, 79), ShowLabel = false };
			area.ItemsSource = dataModel.data ;	
			chart.Series.Add(area);

			chart.VerticalOptions = LayoutOptions.FillAndExpand;
			chart.HorizontalOptions = LayoutOptions.FillAndExpand;

			layout.Children.Add(chart);
			Content = layout;
		}
	}  

	public class ViewModel
	{
		public ObservableCollection<MyModel> data { get; set; }

		public ViewModel()
		{
			data = new ObservableCollection<MyModel>();
			data.Add(new MyModel() { Date = new DateTime(2000, 1, 12), Value = 950 });
			data.Add(new MyModel() { Date = new DateTime(2000, 1, 13), Value = 800 });
			data.Add(new MyModel() { Date = new DateTime(2000, 1, 14), Value = 690 });
			data.Add(new MyModel() { Date = new DateTime(2000, 1, 15), Value = 680 });
			data.Add(new MyModel() { Date = new DateTime(2000, 1, 16), Value = 820 });
			data.Add(new MyModel() { Date = new DateTime(2000, 1, 17), Value = 790 });
			data.Add(new MyModel() { Date = new DateTime(2000, 1, 18), Value = 650 });
		}
	}

	public class MyModel
	{
		public DateTime Date{ get; set; }
		public double Value{ get; set; }
	}
		
}


